package com.qmth.teachcloud.common.domain;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 分布式印刷开放接口
 * @Author: wangliang
 * @Date: 2020/4/10
 */
public class PrintOpenDomain implements Serializable {

    String hostUrl;

    String callbackUrlApi;

    String callbackPwd;

    @ApiModelProperty(value = "知学知考开放接口：试卷基础配置查询接口")
    String paperConfig;

    @ApiModelProperty(value = "知学知考开放接口：试卷考察点查询接口")
    String paperDimension;

    @ApiModelProperty(value = "知学知考开放接口：试卷蓝图查询接口")
    String paperStructure;

    @ApiModelProperty(value = "知学知考开放接口：试卷评价模型查询接口")
    String paperEvaluation;

    @ApiModelProperty(value = "知学知考开放接口：考生成绩查询接口")
    String examStudentScore;

    public String getHostUrl() {
        return hostUrl;
    }

    public void setHostUrl(String hostUrl) {
        this.hostUrl = hostUrl;
    }

    public String getCallbackUrlApi() {
        return callbackUrlApi;
    }

    public void setCallbackUrlApi(String callbackUrlApi) {
        this.callbackUrlApi = callbackUrlApi;
    }

    public String getCallbackPwd() {
        return callbackPwd;
    }

    public void setCallbackPwd(String callbackPwd) {
        this.callbackPwd = callbackPwd;
    }

    public String getPaperConfig() {
        return paperConfig;
    }

    public void setPaperConfig(String paperConfig) {
        this.paperConfig = paperConfig;
    }

    public String getPaperDimension() {
        return paperDimension;
    }

    public void setPaperDimension(String paperDimension) {
        this.paperDimension = paperDimension;
    }

    public String getPaperStructure() {
        return paperStructure;
    }

    public void setPaperStructure(String paperStructure) {
        this.paperStructure = paperStructure;
    }

    public String getPaperEvaluation() {
        return paperEvaluation;
    }

    public void setPaperEvaluation(String paperEvaluation) {
        this.paperEvaluation = paperEvaluation;
    }

    public String getExamStudentScore() {
        return examStudentScore;
    }

    public void setExamStudentScore(String examStudentScore) {
        this.examStudentScore = examStudentScore;
    }
}
